This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 569296 - Remove erroneous 19d2:2000 modeswitch rule
Remove erroneous 19d2:2000 modeswitch rule
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-01 03:10 EST by Dan Williams
Modified: 2010-03-25 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: udev-145-19.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-25 18:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2010-03-01 03:10:29 EST
We need to remove this rule from 61-option-modem-modeswitch.rules:

ATTRS{idVendor}=="19d2", ATTRS{idProduct}=="2000", RUN+="modem-modeswitch -v 0x%s{idVendor} -p 0x%s{idProduct} -t option-zerocd"

That rule does not work for all ZTE devices (and specifically doesn't work with my MF626) and sends the device into an uncommunicative state where it cannot be switched to modem mode.  Again, this file is only for Option NV devices, which ZTE devices clearly are not.  Users need to use usb_modeswitch for any devices that aren't Option NV devices.

Normally on these ZTE devices a simple "eject /dev/sr1" works, but this udev rule prevents that simple eject from working.  Or usb_modeswitch could be used.

See also bug #541686
Comment 1 Fedora Update System 2010-03-19 07:16:44 EDT
udev-145-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-16.fc12
Comment 2 Fedora Update System 2010-03-23 19:39:45 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-145-19.fc12
Comment 3 Fedora Update System 2010-03-25 18:35:11 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.